> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opensink.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sink Item

> Get a sink item by ID

Required scope: `sink_items:read`, `sink_items:all`, or `all:all`



## OpenAPI

````yaml api-reference/openapi.json get /api/v1/sink-items/{id}
openapi: 3.0.0
info:
  title: OpenSink API
  description: API documentation for OpenSink
  version: 1.0.0
servers:
  - url: https://api.opensink.com
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: Sink
    description: Sink management endpoints
  - name: Sink Item
    description: Sink item endpoints
  - name: Cron Job
    description: Cron job scheduling endpoints
  - name: Cron Job Run
    description: Cron job execution history
  - name: Agent
    description: Agent management endpoints
  - name: Agent Config
    description: Agent configuration endpoints
  - name: Agent Session
    description: Agent session endpoints
  - name: Agent Session Input Request
    description: Agent session input request endpoints
  - name: Agent Session Activity
    description: Agent session activity log endpoints
paths:
  /api/v1/sink-items/{id}:
    get:
      tags:
        - Sink Item
      summary: Get Sink Item
      description: |-
        Get a sink item by ID

        Required scope: `sink_items:read`, `sink_items:all`, or `all:all`
      operationId: getSink Item
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
          description: Sink Item ID
      responses:
        '200':
          description: An item collected by a sink
          content:
            application/json:
              schema:
                type: object
                description: An item collected by a sink
                properties:
                  id:
                    type: string
                    format: uuid
                    description: Unique identifier
                  sink_id:
                    type: string
                    format: uuid
                    description: Parent sink ID
                  workspace_id:
                    type: string
                    format: uuid
                    description: Workspace ID
                  title:
                    type: string
                    minLength: 1
                    maxLength: 255
                    description: Item title
                  body:
                    type: string
                    description: Item body/content
                    nullable: true
                  type:
                    type: string
                    maxLength: 255
                    description: Item type
                    nullable: true
                  url:
                    type: string
                    maxLength: 2048
                    description: Associated URL
                    nullable: true
                  fields:
                    type: object
                    description: Custom fields
                    nullable: true
                  occurred_at:
                    type: string
                    format: date-time
                    description: When the event occurred
                    nullable: true
                  created_at:
                    type: string
                    format: date-time
                    description: Creation timestamp
                  updated_at:
                    type: string
                    format: date-time
                    description: Last update timestamp
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient permissions
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication

````